APIInference

Inference Bindings_update

PATCH
/inference/bindings/{binding_id}

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_inference

Path Parameters

binding_id*string
Formatuuid

Request Body

application/json
  1. body
name?string
Length1 <= length <= 255
connection_id?uuid
Formatuuid
model?string
Length1 <= length <= 255

Response Body

The request has succeeded.

application/json
  1. response

A named candidate: a connection + model for a purpose. One is active.

id*uuid
Formatuuid
purpose*"dlp_judge"

Which gateway capability a binding configures.

Value in"dlp_judge"
name*string
Length1 <= length <= 255
connection_id*uuid
Formatuuid
model*string
Length1 <= length <= 255
is_active*boolean
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
curl -X PATCH "https://example.com/inference/bindings/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "purpose": "dlp_judge",  "name": "string",  "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",  "model": "string",  "is_active": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}